summaryrefslogtreecommitdiffstats
path: root/tests/ob_arch_is_concerned.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ob_arch_is_concerned.sh')
-rw-r--r--tests/ob_arch_is_concerned.sh57
1 files changed, 57 insertions, 0 deletions
diff --git a/tests/ob_arch_is_concerned.sh b/tests/ob_arch_is_concerned.sh
new file mode 100644
index 0000000..bd5b1af
--- /dev/null
+++ b/tests/ob_arch_is_concerned.sh
@@ -0,0 +1,57 @@
+# opkbuild
+# tests/ob_arch_is_concerned
+# Tests for ob_arch_is_concerned.
+#
+# Copyright (C) 2012, 2014 Patrick "P. J." McDermott
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. ./common.sh
+
+ob_use metadata
+
+ret=0
+host_arch=
+arches=
+result=
+
+main()
+{
+ . ./ob_arch_is_concerned.rc
+
+ exit ${ret}
+}
+
+testcase()
+{
+ if ob_arch_is_concerned "${host_arch}" "${arches}"; then
+ if ! ${result}; then
+ printf 'False positive:\n' >&2
+ printf ' Host architecture: "%s"\n' \
+ "${host_arch}" >&2
+ printf ' Package architectures: "%s"\n' "${arches}" >&2
+ ret=1
+ fi
+ else
+ if ${result}; then
+ printf 'False negative:\n' >&2
+ printf ' Host architecture: "%s"\n' \
+ "${host_arch}" >&2
+ printf ' Package architectures: "%s"\n' "${arches}" >&2
+ ret=1
+ fi
+ fi
+}
+
+main "${@}"